Bug 1148233 - RFE: Drupal plugin should split content into meaningful chunks
Summary: RFE: Drupal plugin should split content into meaningful chunks
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Usability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: Unspecified Unspecified
high
high
Target Milestone: ---
: 3.6
Assignee: David Mason
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords: screened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-01 02:52 UTC by Isaac Rooskov
Modified: 2015-08-06 05:55 UTC (History)
7 users (show)

Fixed In Version: eb3ef2bd399e400c9bb103c2da415aca8c6d4b8c
Doc Type: Bug Fix
Doc Text:
Story Points: 3
Clone Of:
Environment:
Last Closed: 2015-03-19 07:10:30 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Isaac Rooskov 2014-10-01 02:52:16 UTC
Description of problem:

Currently the Drupal plugin treats all content from a single article as one string. This content should be split meaningfully across multiple strings. Perhaps paragraph breaks?

Comment 2 David Mason 2014-10-08 04:52:41 UTC
Implementation details discussed by development team:

 - Segmentation is on the client side - the server receives already-segmented text flows through the current API
 - Options for how to segment:
  - sentences
  - paragraphs
 - Maintain structure of the field, inserting segments within that structure.
 - Use existing segmentation code if available.
 - ID of segments should be ID of field, with added index location of segment

Comment 3 Damian Jansen 2014-12-08 05:43:20 UTC
Verified

Comment 4 Michelle Kim 2015-03-03 23:10:09 UTC
Hi David and Dean,

Thanks for working on this bug and verifying it. Would you be able to help Yuko to test it out to see if the feature is working for her? She is the initial reporter of the issue and it would be good to get her feedback. 

If Yuko is happy with the feature, I will close the bug. Thanks a lot.


Note You need to log in before you can comment on or make changes to this bug.